package fi.em.opplugin;

import kd.bos.context.RequestContext;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.entity.ExtendedDataEntity;
import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.args.BeginOperationTransactionArgs;
import kd.bos.orm.query.QCP;
import kd.bos.orm.query.QFilter;
import kd.bos.servicehelper.BusinessDataServiceHelper;
import kd.bos.servicehelper.operation.SaveServiceHelper;

import java.util.HashSet;
import java.util.Set;

/**
 * @author cjz
 * @date 2024/8/28 16:22
 * @description:代发处理单，点击关闭付款，付款给前置，修改支付状态
 */
public class AgentpaybillOpPlugin extends AbstractOperationServicePlugIn {

    //关闭付款按钮标识
    private static String closepay="closepay";
    //付款给前置按钮标识
    private static String payforfront="payforfront";




    @Override
    public void beginOperationTransaction(BeginOperationTransactionArgs args){
        DynamicObject[] dynamicObjects = args.getDataEntities();
        String operationKey = args.getOperationKey();
        //关闭付款则将支付状态更改为支付关闭状态
        if (closepay.equals(operationKey)){
            for (int i=0;i< dynamicObjects.length;i++)
            {
                //设置支付状态为
                dynamicObjects[i].set("nckd_paystate","D");
            }
            SaveServiceHelper.save(dynamicObjects);
        }
        if (payforfront.equals(operationKey))
        {
            for (int i=0;i< dynamicObjects.length;i++)
            {
                //设置支付状态为支付中
                dynamicObjects[i].set("nckd_paystate","B");
            }
            SaveServiceHelper.save(dynamicObjects);
        }
    }

}
